Attestation
GET/api/v1/identities/{user_id}/proofs
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Filter results to a single platform
1-indexed page number
int640 <= valuePage size
int640 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/identities/string/proofs"{ "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }, "proofs": [ { "expires_at": "2019-08-24T14:15:22Z", "identity": "string", "platform": "string", "proof_id": "string", "revoked_at": "2019-08-24T14:15:22Z", "signature_verified": true, "status": "pending", "verified_at": "2019-08-24T14:15:22Z" } ], "user_id": "string"}POST/api/v1/proofs/generate-text
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/proofs/generate-text" \ -H "Content-Type: application/json" \ -d '{ "identity": "string", "platform": "string" }'{ "nonce": "string", "post_instructions": "string", "proof_text": "string"}POST/api/v1/proofs/verify
Authorization
bearer_token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/proofs/verify" \ -H "Content-Type: application/json" \ -d '{ "identity": "string", "platform": "string", "proof_url": "string" }'{ "attestation_url": "string", "expires_at": "2019-08-24T14:15:22Z", "identity": "string", "platform": "string", "proof_id": "string", "signature_verified": true, "verified": true, "verified_at": "2019-08-24T14:15:22Z"}GET/api/v1/proofs/{proof_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/proofs/string"{ "attestation_url": "string", "created_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "identity": "string", "platform": "string", "proof_id": "string", "proof_url": "string", "revoked_at": "2019-08-24T14:15:22Z", "signature_verified": true, "status": "pending", "user_id": "string", "verified_at": "2019-08-24T14:15:22Z"}DELETE/api/v1/proofs/{proof_id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/proofs/string"{ "message": "string", "proof_id": "string"}GET/api/v1/proofs/{proof_id}/audit
Authorization
bearer_token In: header
Path Parameters
Query Parameters
0 <= valueResponse Body
application/json
curl -X GET "https://example.com/api/v1/proofs/string/audit"{ "events": [ null ], "proof_id": "string"}GET/api/v1/resolve/{platform}/{identity}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/resolve/string/string"{ "identity": "string", "platform": "string", "proof": null, "verified": true}